summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-10
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 14:47:42 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:47 +0200
commit367666030193bbc1dae08c3eb77e3c9679f59d2b (patch)
treed002683103fa0eb5adc51d6b79772cba3f17997e /gettext-tools/tests/msgcat-10
parent5811045286891c04ac553ea851c00ef239f214fb (diff)
downloadexternal_gettext-367666030193bbc1dae08c3eb77e3c9679f59d2b.zip
external_gettext-367666030193bbc1dae08c3eb77e3c9679f59d2b.tar.gz
external_gettext-367666030193bbc1dae08c3eb77e3c9679f59d2b.tar.bz2
Move tests/msgcat-10 to gettext-tools/tests/msgcat-10.
Diffstat (limited to 'gettext-tools/tests/msgcat-10')
-rwxr-xr-xgettext-tools/tests/msgcat-10106
1 files changed, 106 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcat-10 b/gettext-tools/tests/msgcat-10
new file mode 100755
index 0000000..ada0a56
--- /dev/null
+++ b/gettext-tools/tests/msgcat-10
@@ -0,0 +1,106 @@
+#! /bin/sh
+
+# Verify msgcat of two files, when the header entries have different comments
+# but the same contents. The resulting header entry is not marked fuzzy,
+# because the #-#-#-#-# are only in comments and do not necessarily require
+# translator attention; in other words, an msgstr which is valid in both input
+# files is also valid in the result.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcat-test10.in1 mcat-test10.in2"
+cat <<\EOF > mcat-test10.in1
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+# Def Kab <dk@zzz.uucp>, 2001.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-11-11 12:51:34+0200\n"
+"PO-Revision-Date: 2001-11-11 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid ""
+"Congratulations!"
+msgstr ""
+"Glückwunsch!"
+EOF
+
+cat <<\EOF > mcat-test10.in2
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-11-11 12:51:34+0200\n"
+"PO-Revision-Date: 2001-11-11 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid ""
+"Congratulations!"
+msgstr ""
+"Glückwunsch!"
+EOF
+
+tmpfiles="$tmpfiles mcat-test10.out"
+rm -f mcat-test10.out
+
+: ${MSGCAT=msgcat}
+${MSGCAT} --more-than=0 -o mcat-test10.out \
+ mcat-test10.in1 mcat-test10.in2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcat-test10.ok"
+cat <<\EOF > mcat-test10.ok
+# #-#-#-#-# mcat-test10.in1 (xyz) #-#-#-#-#
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+# Def Kab <dk@zzz.uucp>, 2001.
+#
+# #-#-#-#-# mcat-test10.in2 (xyz) #-#-#-#-#
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-11-11 12:51:34+0200\n"
+"PO-Revision-Date: 2001-11-11 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid "Congratulations!"
+msgstr "Glückwunsch!"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcat-test10.ok mcat-test10.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result